Bug 77007 - FILEOPEN: User asked to save changes upon exit from unmodified XLS file (possibly because of particular chart)
Summary: FILEOPEN: User asked to save changes upon exit from unmodified XLS file (poss...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: XLS ModifiedStatus
  Show dependency treegraph
 
Reported: 2014-04-03 14:29 UTC by larin
Modified: 2019-05-22 02:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
a sample .xls file with a chart to illustrate the problem (12.50 KB, application/vnd.ms-excel)
2014-04-03 14:29 UTC, larin
Details
testcase (41.00 KB, application/vnd.ms-excel)
2014-10-19 19:53 UTC, Yan Pas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description larin 2014-04-03 14:29:08 UTC
Created attachment 96853 [details]
a sample .xls file with a chart to illustrate the problem

LibreOffice Calc, ver. 4.0.4.2, Linux CentOS

Problem not critical but annoying.

Calc prompts user to save an XLS file (which contains a chart) when no changes were made to the file.  It seems as if the presence of a chart in the file may be triggering this.

A sample.xls file is attached.  To reproduce the problem, try opening and closing the file.

Thanks,
Max
Comment 1 Owen Genat (retired) 2014-04-04 05:23:25 UTC
Confirmed under Debian 7 with v4.1.4.2 Build ID: 0a0440ccc0227ad9829de5f46be37cfb6edcf72 and Crunchbang 11 with v4.2.2.1 Build ID: 3be8cda0bddd8e430d8cda1ebfd581265cca5a0f. Opening the provided XLS results in the file modified status being triggered, thus closing the file asks for confirmation. Status set to NEW.
Comment 2 Yan Pas 2014-10-19 19:53:41 UTC
Created attachment 108074 [details]
testcase

I have this bug too. My file
Comment 3 ign_christian 2014-10-20 02:28:30 UTC
Repro with LO 4.3.2.2 portable - Win7 x86

Seems a fileopen problem, not filesave. If someone could provide simple test case with exact reproducible steps it would help dev a lot.
Comment 4 Yan Pas 2014-10-20 07:15:33 UTC
What do you mean under testcase? List of steps how to create such file with bug?
Comment 5 ign_christian 2014-10-20 12:34:29 UTC
(In reply to Yan Pashkovsky from comment #4)
> What do you mean under testcase? List of steps how to create such file with
> bug?
Yup. More simple the steps to repro bug, more easy for dev to identify problem & fix the bug.
Comment 6 Yan Pas 2014-11-04 17:51:42 UTC
I have found that if I delete all 3 diagrams from my xls I am no longer asked to save file
Comment 7 Yan Pas 2014-12-12 10:31:21 UTC
(In reply to ign_christian from comment #5)
> (In reply to Yan Pashkovsky from comment #4)
> > What do you mean under testcase? List of steps how to create such file with
> > bug?
> Yup. More simple the steps to repro bug, more easy for dev to identify
> problem & fix the bug.

Another dependency! Steps to reproduce:
1) Create xls file
2) Insert formula (X^2 for example)
3) Save it
4) Open again and try to close - you will be asked if you want to save changes
Comment 8 QA Administrators 2015-12-20 16:07:03 UTC Comment hidden (obsolete)
Comment 9 Yan Pas 2015-12-20 22:02:51 UTC
Still presents 5.0.4
Comment 10 QA Administrators 2017-01-03 19:55:04 UTC Comment hidden (obsolete)
Comment 11 Yan Pas 2017-01-06 20:01:30 UTC
5.2.3 still reproducible (Linux Mint 18)
Comment 12 QA Administrators 2018-01-07 03:31:26 UTC Comment hidden (obsolete)
Comment 13 Yan Pas 2018-01-07 15:36:42 UTC
lo 5.4 win10 still exists
Comment 14 QA Administrators 2019-05-22 02:52:27 UTC
Dear larin,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug